:root {
    --color-tertiary: #fffef8;
    --color-secondary: #f8f5dd;
    --color-custom: #b05a39;
    --small-svg: 20px;
    --section: 100px;
    --color-grey: rgb(50, 50, 50);
    --main-background: #fafafc;
}

img {
    max-width: 100%;
}

body {
    background-color: var(--main-background);
}

.color-tertiary {
    color: var(--color-tertiary);
}

a {
    margin: 0;
    padding: 0;
}

svg {
    fill: var(--color-grey);
    transition: 0.5s;
}

.transfer .rounded-4 {
    &:hover {
        svg {
            scale: 110%;
        }
    }
}

.pst {
    padding-top: var(--section);
}

.psb {
    padding-bottom: var(--section);
}

.color-dark {
    color: var(--color-custom);
}

.small-svg {
    width: var(--small-svg);
}

.regular-svg {
    width: calc(var(--small-svg) * 1.5);
}

.mezzo_di_contatto {
    svg {
        width: calc(var(--small-svg) * 2);
        fill: var(--color-custom);
    }

    &:hover {
        svg {
            scale: 110%;
        }
    }
}

.carousel-control-next, .carousel-control-prev {
    &::before {
        position: absolute;
        content: '';
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        border-radius: 50%;
        width: 40px;
        height: 40px;
        background-color: var(--color-custom);
    }
}

.carousel-control-next-icon, .carousel-control-prev-icon {
    z-index: 3;
}

.carousel-indicators button {
    background-color: var(--color-custom) !important;
}

.shadow.shadow-white {
    box-shadow: .2rem .2rem 1rem rgba(255, 255, 255, 0.3) !important;
}

.single-servizio {
    svg {
        fill: var(--color-custom);
        width: 40px;
    }

    &:hover {
        svg {
            scale: 110%;
        }
    }
}

.lista-servizi {
    svg {
        width: calc(var(--small-svg) * 1.5);
        fill: var(--color-grey);

        &:hover {
            scale: 110%;
        }
    }
}

.lista-info {
    color: var(--color-tertiary);

    svg {
        width: calc(var(--small-svg) * 2);
        stroke: var(--color-tertiary);
        fill: var(--color-tertiary);

        &:hover {
            scale: 110%;
        }
    }
}

/* calendario */
.ml-confirm-booking {
    background-color: var(--color-custom);
    color: white;
}

.ml-calendarWrapper {
    border-radius: 0 !important;
    background-color: white;
}

/* header-main */
.header-main {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    padding: 0 2rem;
    background-color: var(--color-custom);
    transition: 0.7s;
    z-index: 1999;

    .navbar-toggler-icon {
        fill: var(--color-tertiary);
    }

    .navbar-brand {
        svg {
            width: 70px;
            /* fill: var(--color-tertiary); */
            fill: #c2ab81;


            &:hover {
                scale: 110%;
            }
        }
    }

    .main-menu {
        li {
            position: relative;

            span {
                color: var(--color-tertiary);
            }

            &::after {
                content: '';
                position: absolute;
                bottom: 0;
                left: 0;
                height: 2px;
                width: 0;
                background: var(--color-tertiary);
                transition: 0.7s;
            }

            &:hover {
                &::after {
                    width: 100%;
                }
            }
        }
    }

    &.wrapper {
        left: 5%;
        right: 5%;
        border: 2px solid var(--color-custom);
        background-color: rgba(255, 255, 255, 0.5);
        backdrop-filter: blur(5px);
        border-radius: 3rem;

        .navbar-toggler-icon {
            fill: var(--color-custom);
        }

        /* .navbar-brand {
            svg {
                fill: var(--color-custom);
            }
        } */

        .main-menu {
            li {
                span {
                    color: var(--color-custom);
                }

                &::after {
                    background: var(--color-custom);
                }
            }
        }
    }
}

/* CAROSELLO */
#carouselPhoto {
    height: 100%;
    max-height: 800px;
}

/* MAPPA */
.map-container {
    height: 600px;

    .leaflet-map {
        height: 100% !important;
        border-radius: 3rem;
        overflow: hidden;
    }
}

/* CONTACT FORM */
.form-control {
    border-radius: 0;

    &:focus {
        color: unset;
        background-color: unset;
        border-color: var(--color-custom);
        outline: 0;
        box-shadow: none;
    }
}

.submit-form {
    border-color: var(--color-custom);
    border-radius: 0;
    color: var(--color-custom);
    background-color: var(--color-tertiary);

    &:hover {
        border-color: var(--color-tertiary);
        color: var(--color-tertiary);
        background-color: var(--color-custom);
    }
}

.badge-smart-working {
    transform: rotate(45deg);
    top: -40px;
    right: -40px;
    width: 15rem;
}

/* tasti */
a.animated {
    background-color: var(--color-custom);
    border: 2px solid var(--color-custom);
    position: relative;
    padding: 8px 16px;
    display: inline-block;

    span {
        color: var(--color-tertiary);
        position: relative;
        transition: 0.5s;
    }

    &:after {
        transition: 0.7s;
        position: absolute;
        content: '';
        top: 0;
        left: 0;
        width: 0;
        height: 100%;
        background-color: var(--color-tertiary);
    }

    &:hover {
        span {
            color: var(--color-custom);
            z-index: 1;
        }

        &:after {
            width: 100%;
        }
    }

    &.light {
        background-color: var(--color-tertiary);
        border: 2px solid var(--color-tertiary);

        span {
            color: var(--color-custom);
        }

        &:after {
            background-color: var(--color-custom);
        }

        &:hover {
            span {
                color: var(--color-tertiary);
            }
        }

        &.xlight {
            background-color: var(--color-tertiary);
            border: 2px solid var(--color-tertiary);

            &:hover {
                span {
                    color: var(--color-tertiary);
                }
            }
        }
    }
}

.footer {
    color: var(--color-tertiary);

    svg {
        width: calc(var(--small-svg) * 1.5);
        fill: var(--color-tertiary);

        &:hover {
            scale: 110%;
        }
    }

    .brand-footer {
        svg {
            width: 80px;
            /* fill: var(--color-tertiary); */
            fill: #c2ab81;
        }
    }

    .telegram {
        stroke: var(--color-tertiary);
    }
}

/* swiper */
.swiper-container {
    position: relative;

    img {
        border-radius: var(--bs-border-radius-xl) !important;
    }

    .swiper-slide {
        text-align: center;
    }

    .swiper-slide img {
        height: 600px;
        object-fit: contain !important;
    }

    .mySwiper .swiper-slide {
        width: 25%;
        height: 100%;
        opacity: 0.4;
    }

    .mySwiper .swiper-slide-thumb-active {
        opacity: 1;
    }

    .swiper-thumbs img {
        height: 100px;
        width: 100%;
        object-fit: cover !important;
    }

    .swiper-button-next, .swiper-button-prev {
        color: var(--color-custom);

        &:after {
            font-size: medium !important;
        }
    }
}

/* appartamenti */
.col-to-animate {
    transition: 0.5s;

    .img-to-animate {
        transition: 0.5s;
    }

    &:hover {
        box-shadow: none !important;

        .img-to-animate {
            transform: scale(1.1);
        }
    }
}

/* contatti */
.contatto {
    text-align: center;

    svg {
        fill: var(--color-custom);
        width: 40px;
    }

    h4 {
        color: var(--color-custom);
        text-align: center;
        padding-top: 10px;
    }

    &:hover {
        svg {
            scale: 110%;
        }
    }
}

.iub__us-widget {
    background-color: var(--color-custom);
}